Eclipse Platform Release 3.7

## org.eclipse.ui.views.properties.tabbed
Class AbstractSectionDescriptor

    java.lang.Object
      org.eclipse.ui.views.properties.tabbed.AbstractSectionDescriptor

All Implemented Interfaces:
  ISectionDescriptor

    public abstract class AbstractSectionDescriptor

extends Object
implements ISectionDescriptor

An abstract implementation of a section descriptor for the tabbed property view.

Since:
  3.4

Field Summary

Fields inherited from interface org.eclipse.ui.views.properties.tabbed.ISectionDescriptor
`ENABLES_FOR_ANY, TOP`

Constructor Summary
`AbstractSectionDescriptor()` Constructor for AbstractSectionDescriptor.
`AbstractSectionDescriptor(ITypeMapper typeMapper)` Constructor for AbstractSectionDescriptor.

Method Summary
`boolean` `appliesTo(IWorkbenchPart part, ISelection selection)` Determines if this section applies to the selection.
`String` `getAfterSection()` Get the section identifier below which this section is displayed.
`int` `getEnablesFor()` Get the value for section enablement which is a precise number of items selected.
`IFilter` `getFilter()` Get the section filter instance for this section.
`List` `getInputTypes()` Get the valid input types for this section.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.views.properties.tabbed.ISectionDescriptor
`getId, getSectionClass, getTargetTab`

Constructor Detail

### AbstractSectionDescriptor

    public AbstractSectionDescriptor()

  Constructor for AbstractSectionDescriptor.

### AbstractSectionDescriptor

    public AbstractSectionDescriptor(ITypeMapper typeMapper)

  Constructor for AbstractSectionDescriptor.

  Parameters:
    `typeMapper` - the type mapper for the section.

Method Detail

### appliesTo

    public boolean appliesTo(IWorkbenchPart part,
                             ISelection selection)

  Description copied from interface: `ISectionDescriptor`
  Determines if this section applies to the selection.

  Specified by:
    `appliesTo` in interface `ISectionDescriptor`
  Parameters:
    `part` - the current workbench part.
    `selection` - the selection.
  Returns:
    `true` if this section applies to the current selection.

### getAfterSection

    public String getAfterSection()

  Description copied from interface: `ISectionDescriptor`
  Get the section identifier below which this section is displayed. `"top"` is returned if this section is the top most section or if there is one section in the tab.

  Specified by:
    `getAfterSection` in interface `ISectionDescriptor`
  Returns:
    the section identifier.

### getEnablesFor

    public int getEnablesFor()

  Description copied from interface: `ISectionDescriptor`
  Get the value for section enablement which is a precise number of items selected. For example: enablesFor="1" enables the section only when one item is selected. If not specified, enable for any selection and return ENABLES_FOR_ANY.

  Specified by:
    `getEnablesFor` in interface `ISectionDescriptor`
  Returns:
    the value for section enablement.

### getFilter

    public IFilter getFilter()

  Description copied from interface: `ISectionDescriptor`
  Get the section filter instance for this section. Return null if no filter for this section.

  Specified by:
    `getFilter` in interface `ISectionDescriptor`
  Returns:
    the section filter instance.

### getInputTypes

    public List getInputTypes()

  Description copied from interface: `ISectionDescriptor`
  Get the valid input types for this section.

  Specified by:
    `getInputTypes` in interface `ISectionDescriptor`
  Returns:
    the valid input types for this section.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.